# IMFWindow Struct Reference
[MCFrame]

Inheritance diagram for IMFWindow:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Show (boolean beVisible, boolean doActivate)=0
virtual void MCCOMAPI | SelectWindow ()=0
virtual void MCCOMAPI | Center (boolean horizontally, boolean vertically)=0
virtual MCCOMErr MCCOMAPI | GetSideBarAdornment (IMFPart **outSideBarAdornment)=0
virtual MCCOMErr MCCOMAPI | GetTitleBarAdornment (IMFPart **outTitleBarAdornment)=0
virtual MCCOMErr MCCOMAPI | AddAdornmentPart (IMFPart &inNewPart)=0
virtual void MCCOMAPI | TryToClose ()=0
virtual void MCCOMAPI | GetConstTitle (TMCString &outTitle) const =0
virtual void MCCOMAPI | GetTitle (TMCString &outTitle) const =0
virtual void MCCOMAPI | SetTitle (const TMCString &inNewTitle)=0
virtual void MCCOMAPI | SetWindowFirstResponder (IMFResponder *inResponder)=0
virtual boolean MCCOMAPI | WantsToBeInWindowsMenu () const =0
virtual void MCCOMAPI | SetWantsToBeInWindowsMenu (boolean beIn)=0
virtual void MCCOMAPI | SetIsDocumentCloser (boolean inIsCloser)=0
virtual void MCCOMAPI | GetContentBounds (TMCRect &outBounds) const =0
virtual void MCCOMAPI | SetContentBounds (const TMCRect &inBounds, boolean inInvalidate, boolean inNotify)=0
virtual void MCCOMAPI | SetResizeLimits (const TMCRect &resizeLimits)=0
virtual IMFPart *MCCOMAPI | GetThisPart ()=0
virtual void MCCOMAPI | PrepareWindowForFirstShow (void)=0
virtual IMFPart *MCCOMAPI | GetContentPart ()=0
virtual void MCCOMAPI | InvalidateShadowAdornment ()=0

## Detailed Description

IMFWindow is the interface for Window objects. Window objects are those UI elements that act as windows, including system windows, dialog boxes and application Windoid Parts

## Member Function Documentation

virtual MCCOMErr MCCOMAPI IMFWindow::AddAdornmentPart | ( | IMFPart & | inNewPart | ) | `[pure virtual]`

Adds an adornment part to this Window. Adjusts bounds to accommodate the adornment.

Parameters:

  | inNewPart | Part to be added to the Window

virtual void MCCOMAPI IMFWindow::Center | ( | boolean | horizontally,
|  | boolean | vertically |
| ) |  |  | `[pure virtual]`

Centers a window on the screen either horizontally, vertically, or both.

Parameters:

  | horizontally | If true, centers the window horizontally
  | vertically | If true, centers the window vertically

virtual void MCCOMAPI IMFWindow::GetConstTitle | ( | TMCString & | outTitle | ) | const`[pure virtual]`

The Constant Title is the original title of the Window as set in the 'Wind' resource. This is useful when you are doing string substitution (using ^0 like keywords), and need to revert to the original title to perform another substitution.

Parameters:

  | outTitle | Returns the Constant Title

virtual void MCCOMAPI IMFWindow::GetContentBounds | ( | TMCRect & | outBounds | ) | const`[pure virtual]`

Gets the bounds of the contents of this Window, in screen coordinates.

Parameters:

  | outBounds | Returns the bounds as a TMCRect

virtual IMFPart* MCCOMAPI IMFWindow::GetContentPart | ( |  | ) | `[pure virtual]`

Returns:
  Tis Window's content part.

virtual MCCOMErr MCCOMAPI IMFWindow::GetSideBarAdornment | ( | IMFPart ** | outSideBarAdornment | ) | `[pure virtual]`

Gets the sidebar adornment for this Window. Unlikely to be used.

Parameters:

  | outSideBarAdornment | Returns the SideBarAdornment Part

virtual IMFPart* MCCOMAPI IMFWindow::GetThisPart | ( |  | ) | `[pure virtual]`

Windows are Parts, so this function gets the IMFPart interface to the object.

Returns:
  A pointer to the IMFPart interface

virtual void MCCOMAPI IMFWindow::GetTitle | ( | TMCString & | outTitle | ) | const`[pure virtual]`

Returns the current title of the Window

Parameters:

  | outTitle | Returns the title

virtual MCCOMErr MCCOMAPI IMFWindow::GetTitleBarAdornment | ( | IMFPart ** | outTitleBarAdornment | ) | `[pure virtual]`

Gets the title bar adornment for the window. For Windoid Parts, this is the area above the window contents, containing the icons and title.

Parameters:

  | outTitleBarAdornment | Returns the title bar adornment part

virtual void MCCOMAPI IMFWindow::InvalidateShadowAdornment | ( |  | ) | `[pure virtual]`

Invalidates this Window's shadow adornment, if any.

virtual void MCCOMAPI IMFWindow::PrepareWindowForFirstShow | ( | void |  | ) | `[pure virtual]`

This is called once, before the first time a Window is shown. Generally should not be called manually, it is called by Show().

virtual void MCCOMAPI IMFWindow::SelectWindow | ( |  | ) | `[pure virtual]`

Selects this Window. In the case of Windoid parts, brings the Part to the front.

virtual void MCCOMAPI IMFWindow::SetContentBounds | ( | const TMCRect & | inBounds,
|  | boolean | inInvalidate,
|  | boolean | inNotify |
| ) |  |  | `[pure virtual]`

Sets the content bounds of the Window, resizing it. These bounds may be limited by the resize limits specified by a call to SetResizeLimits()

Parameters:

  | inBounds | The new bounds for the contents
  | inInvalidate | If true, invalidates the Window
  | inNotify | If true, notifies the Window's parent that the bounds have changed

virtual void MCCOMAPI IMFWindow::SetIsDocumentCloser | ( | boolean | inIsCloser | ) | `[pure virtual]`

Sets whether or not closing this Window should also close the associated document.

Parameters:

  | inIsCloser | If True, closing this Window closes the associated document

virtual void MCCOMAPI IMFWindow::SetResizeLimits | ( | const TMCRect & | resizeLimits | ) | `[pure virtual]`

Sets the upper and lower limits on the size of the Window contents. resizeLimits.left specifies minimum width, resizeLimits.right specifies maximum width, resizeLimits.top specifies the minimum height, and resizeLimits.bottom specifies maximum height.

Parameters:

  | resizeLimits | A rectangle specifying the size limits.

virtual void MCCOMAPI IMFWindow::SetTitle | ( | const TMCString & | inNewTitle | ) | `[pure virtual]`

Sets the current title of the Window. Note: Title must be fewer than 255 characters long

Parameters:

  | inNewTitle | The title to set

virtual void MCCOMAPI IMFWindow::SetWantsToBeInWindowsMenu | ( | boolean | beIn | ) | `[pure virtual]`

Sets whether or not this Window wants to be listed automatically in the Windows menu of the application.

Parameters:

  | beIn | If true, this Window should be automatically added to the Windows menu

virtual void MCCOMAPI IMFWindow::SetWindowFirstResponder | ( | IMFResponder * | inResponder | ) | `[pure virtual]`

Set inResponder as the first Responder of this Window.

See also:
  IMFResponder

Parameters:

  | inResponder | The Responder to make first Responder

virtual void MCCOMAPI IMFWindow::Show | ( | boolean | beVisible,
|  | boolean | doActivate |
| ) |  |  | `[pure virtual]`

Toggles whether or not a window is shown and/or active. The definition of active may vary depending on what type of window we're talking to.

Parameters:

  | beVisible | If true, set the window to visible
  | doActivate | If true, set the window to active

virtual void MCCOMAPI IMFWindow::TryToClose | ( |  | ) | `[pure virtual]`

Attempts to close the Window. Some windows may decide not to close. For example, closing a document window prompts the user to save their changes, and presents the opportunity to cancel the close.

virtual boolean MCCOMAPI IMFWindow::WantsToBeInWindowsMenu | ( |  | ) | const`[pure virtual]`

Returns:
  True if this Window wants to be listed automatically in the Windows menu of the application.

The documentation for this struct was generated from the following file:

- IMFWindow.h